Cannot connect to database with Microsoft SQL Server 2008 and WebSphere Application Server 7

Technote (troubleshooting)


Problem(Abstract)

While configuring the database connection in the server setup application for IBM Rational Asset Manager, when you test the connection, you see that the "Java Runtime Environment (JRE) is not supported by this driver."

Symptom

You see the following error: "CRRAM703I: Database - Java Runtime Environment (JRE) version 1.6 is not supported by this driver. Use the sqljdbc4.jar class library, which provides support for JDBC 4.0."

If you try to use the sqljdbc4.jar file, you see the same error.


Cause

You must use version 1.2 of the sqljdbc.jar file.


Environment

Installing Rational Asset Manager V7.2.0.1 or V7.2.0.2 on WebSphere Application Server V7 with Microsoft SQL Server 2008

Resolving the problem

Instead of using V2.0 of the sqljdbc.jar file for SQL Server 2008, download the V1.2 driver from the Microsoft Download Center.

Follow the instructions to download and extract the sqljdbc.jar file.

Then, use that file when the server setup application for Rational Asset Manager prompts you for the JDBC file for your database server.

Also, see:
http://msdn.microsoft.com/en-us/library/ms378422.aspx
http://msdn.microsoft.com/en-us/library/ms378749.aspx

Related information

Microsoft download center

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Asset Manager
Installation

Software version:

7.2.0.1, 7.2.0.2

Operating system(s):

AIX, Linux, Windows

Software edition:

Enterprise, Standard

Reference #:

1440789

Modified date:

2010-07-14

Translate my page

Machine Translation

Content navigation